Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.calendar
Class CalendarPermission

    java.lang.Object
      |
      +--com.compoze.security.acl.PermissionImpl
            |
            +--com.compoze.calendar.CalendarPermission

All Implemented Interfaces:
  java.security.acl.Permission, java.io.Serializable

public class CalendarPermission
extends com.compoze.security.acl.PermissionImpl
implements java.io.Serializable

This class represents the permissions for the Calendar package.

See Also:
  Serialized Form

Field Summary
`static CalendarPermission` | `DELETE` This is the permission to delete.
`static CalendarPermission` | `EDIT` This is the permission to edit.
`static CalendarPermission` | `READ` This is the permission to read.

Method Summary
`static java.security.acl.Permission` | `getPermission(java.lang.String sName)` Gets the permission by the specified name.
`static java.util.List` | `permissions()` Gets the list of permissions.

Methods inherited from class com.compoze.security.acl.PermissionImpl
`equals, getName, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### READ

    public static final CalendarPermission READ

  This is the permission to read.

### DELETE

    public static final CalendarPermission DELETE

  This is the permission to delete.

### EDIT

    public static final CalendarPermission EDIT

  This is the permission to edit.

Method Detail

### permissions

    public static java.util.List permissions()

  Gets the list of permissions.
  Returns:
    the list of `CalendarPermission`s (un-modifiable)

### getPermission

    public static java.security.acl.Permission getPermission(java.lang.String sName)

  Gets the permission by the specified name.
  Parameters:
    `sName` - the name
  Returns:
    the matching permission or `null` if not found

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.